import sys

from encoders.utils import *

import common


class BasicEncoder(object):

    def __init__(self, problem):
        self.problem = problem
        self.logic = "LRA"
        return

    def printSMT2(self, stream=sys.stdout, model=False, proof=False):
        util = LibSMT2Util(model=model, logic=self.logic, proof=proof)
        self._encode(util, stream)
        return

    def printSMT1(self, stream=sys.stdout, model=False, proof=False):
        util = LibSMT1Util(model=model, logic=self.logic, proof=proof)
        self._encode(util, stream)
        return
    pass
